Subject: Re: Rep: Re: Compiling with Borland C but not with Cygwin !!!
From: Dmitrii Pasechnik <[email-masked]>
To: Latyr Jean-Luc FAYE <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 5 Apr 2001 21:52:38 +0200 (MET DST)

On Thu, 5 Apr 2001, Latyr Jean-Luc FAYE wrote:

>A few more questions on this behaviour.
>I'm a Cygwin's newbie (3 days now) and I would like to know what was wrong.
>I mean why
>gcc -otest.exe file.c is OK

this happens to be OK on Cygwin, as for some unknown to me reason
libcygwin  has all of libm included, and libcygwin is linked by default.

>gcc -otest.exe file.c -lm is OK
>gcc -lm -otest.exe file.c -lm is NOT OK
>
that's I guess because of the above...

>I am more surprised by the fact that
>gcc -otest.exe file.c is OK because I am using math.h in file.c and I learnt
>at school that when I use math.h I should put -lm in the compilation line
>

-- 
Dmitrii Pasechnik
e-mail: [email-masked] 
http://ssor.twi.tudelft.nl/~dima/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple